///////////////////////////////////////////////////////////////////////
//  Copyright (C) 2004 Columbia University.  All Rights Reserved.
//
//      $Header: /Common/AssemblyHelper/ListTokenMappings.cpp 1     4/18/06 11:45p Eaddy $
//
//    File name:	ListTokenMappings.cpp
//   Created By:	Marc Eaddy
//   Created on:	04/18/06
//
//      Purpose:	
//
//  Description:	
//
///////////////////////////////////////////////////////////////////////
/**
 * $Log: /Common/AssemblyHelper/ListTokenMappings.cpp $
 * 
 * 1     4/18/06 11:45p Eaddy
 * o Initial checkin
 */

#include "stdafx.h"

#include "ListTokenMappings.h"	// Me

STokenMapping::STokenMapping(mdToken _from, mdToken _to, bool _isNew, const WCHAR* _szWhat)
    : from(_from)
    , to(_to)
    , isNew(_isNew)
{
    #ifdef _DEBUG
    wcscpy_s(szWhat, (sizeof(szWhat)-1) / sizeof(*szWhat), _szWhat);
    #else
    szWhat[0] = L'\0';
    #endif
}

void MapToken(const TypeListTokenMappings& tokMappings, mdToken* pTok)
{
    _ASSERTE(pTok);
    if (!pTok) return;

	for(TypeListTokenMappings::const_iterator it = tokMappings.begin();
		it != tokMappings.end();
		++it)
	{
        const STokenMapping& tokMapping = *it;
		if (tokMapping.from == *pTok)
		{
			*pTok = tokMapping.to;
			return;
		}
	}
}
