//-----------------------------------------------------------------------------
//
// Phoenix
// Copyright (C) Microsoft Corporation.  All Rights Reserved.
//
// $Header: /Wicca/Morpher/Phx.Aop/AdviceType.cs 4     3/01/06 2:17a Eaddy $
//
// Description:
//
//    The types of advice we support
//
// Remarks:
//
//-----------------------------------------------------------------------------
/**
 * $Log: /Wicca/Morpher/Phx.Aop/AdviceType.cs $
 * 
 * 4     3/01/06 2:17a Eaddy
 * o Now uses Phx.Aop library for pointcuts, advice and joinpoint matching
 * 
 * 3     2/24/06 8:17p Eaddy
 * o Initial checkin
 */

using System;

namespace Phx.Aop
{
   /// <summary>
   /// The types of advice we support
   /// </summary>
   /// <remarks>
   /// around/proceed is not supported
   /// </remarks>

   public enum AdviceType
   {
      before,
      after,
      around
   }
}
