//-----------------------------------------------------------------------------
//
// Phoenix
// Copyright (C) Microsoft Corporation.  All Rights Reserved.
//
// $Header: /Wicca/Morpher/Phx.Aop/Attributes/MorphExecAttribute.cs 3     2/24/06 8:17p Eaddy $
//
// Description:
//
//    Uses Reflection to execute arbitrary code at morph time
//
// Remarks:
//
// ISSUE-TODO-t-marcea-2005/07/23-Phx#? Remove Reflection
// for unmanaged implementation
//
//-----------------------------------------------------------------------------
/**
 * $Log: /Wicca/Morpher/Phx.Aop/Attributes/MorphExecAttribute.cs $
 * 
 * 3     2/24/06 8:17p Eaddy
 * o Initial checkin
 */

using System;

namespace Phx.Aop.Attributes
{
   [AttributeUsage(AttributeTargets.Method, AllowMultiple = true)]
   public class MorphExecAttribute : Attribute
   {
      public MorphExecAttribute()
      { }
   }
}
