@REM Use 'set _echo=on' to echo all the commands
@if not "%_ECHO%"=="on" @if not "%_ECHO%"=="ON" @echo off

setlocal

REM *****
REM ***** Verify that Phx environment has been setup
REM ***** 

if "%RDKROOT%"=="" echo Must setup Phx environment first && exit /B 1

set MORPH_DIR=%~dp0..\..
set TARGET_DIR=%MORPH_DIR%\bin

set PROJECT_DIR=%MORPH_DIR%\examples\IR-Longevity-Morph-Version

set C2_EXE=c2.exe

set PLUGIN=ir-longevity-plug-in.dll
set IL_PREFIX="test_"
set CL_FLAGS=-nologo -Bk%IL_PREFIX%
set C2_FLAGS=-il %IL_PREFIX% -W 1 -Gs4096 -Ob0 -dos -Fotest.obj -Fdvc80.idb -GS -Bd -MT
set SRCS="%PROJECT_DIR%\test.cpp"

cd "%TARGET_DIR%"

cl.exe %CL_FLAGS% %SRCS%
if not "%errorlevel%"=="0" goto :eof

%C2_EXE% %C2_FLAGS% -f %SRCS% -plugin:%PLUGIN%
if not "%errorlevel%"=="0" goto :eof

REM This does cl and c2 in one pass
REM cl.exe %CL_FLAGS% -Bd %SRCS% -B2 %C2_EXE% -d2plugin:%PLUGIN%
