@REM Use 'set _echo=on' to echo all the commands
@if not "%_ECHO%"=="on" @if not "%_ECHO%"=="ON" @echo off

setlocal

REM *****
REM ***** Verify that Phx environment has been setup
REM ***** 

if "%RDKROOT%"=="" echo Must setup Phx environment first && exit /B 1

set MORPH_DIR=%~dp0..\..
set TARGET_DIR=%MORPH_DIR%\bin

set PROJECT_DIR=%~dp0
set SRCS=PersonClient.cs
set TARGET="%TARGET_DIR%\PersonClient.exe"
set FLAGS=/nowarn:0162
set TARGET_FLAGS=/target:exe /out:%TARGET% 
set REFS="%TARGET_DIR%\Person.dll" "%TARGET_DIR%\Logging.dll"

call "%MORPH_DIR%\scripts\build-csharp.bat" %*

goto :eof

REM ***** ISSUE-TODO-t-marce-2006/04/03-The morph below won't work because
REM ***** we need to use [Target] instead of [This] but [Target] doesn't
REM ***** work in Phoenix (requires raising the IR).

REM Morph the client

set InputAssembly="%TARGET_DIR%\PersonClient.exe"
set OutputAssembly=
set ClassToExtend=
set FieldToAdd=
set Refs=/r:"%TARGET_DIR%\Logging.dll"

call "%MORPH_DIR%\scripts\morph.bat" %*
