public enum Sev { Success, Info, Warning, Error }

public class LogAttribute : System.Attribute
{
   public LogAttribute(Sev sev, string msg) 
   {
      this.sev = sev;
      this.msg = msg;
   }

   public override string ToString()
   {
      return sev + ": " + msg;
   }

   public Sev sev;
   public string msg;
}
