public class Point : Shape {
	private int x, y;

	[Trace]
	public Point(int x, int y) {
		this.x = x;
		this.y = y;
	}

	public void setX(int x) {
		this.x = x;
	}

	public void setY(int y) {
		this.y = y;
	}

	public int getX() {
		return x;
	}

	public int getY() {
		return y;
	}

	[Trace]
	public void moveBy(int dx, int dy) {
		x += dx;
		y += dy;
	}

	public void draw() {
		System.Console.WriteLine("  " + ToString());
	}
	
	public override string ToString() {
		return base.ToString() + "(" + x + "," + y + ")";
	}
}
