//-----------------------------------------------------------------------------
//
// Phoenix
// Copyright (C) Microsoft Corporation.  All Rights Reserved.
//
// $Header: /Wicca/wicca/WeaverType.cs 3     5/26/06 2:16p Eaddy $
//
// Description:
//
// Remarks:
//
//-----------------------------------------------------------------------------
/**
 * $Log: /Wicca/wicca/WeaverType.cs $
 * 
 * 3     5/26/06 2:16p Eaddy
 * o Trivial
 * 
 * 2     5/23/06 11:35p Eaddy
 * o Can now specify short names for weaver type
 * 
 * 1     4/20/06 10:48p Eaddy
 * o Moved files from Wicca.Engine to wicca project
 * 
 * 1     4/01/06 9:53a Eaddy
 * o Brokeout some classes
 */

using System;

namespace Wicca
{
    public enum WeaverType
    {
        /// <summary>
        /// Dynamic breakpoint weaving
        /// </summary>
        breakpoint      = 0, 
        bp              = 0,

        /// <summary>
        /// Dynamic binary (byte code) weaving
        /// </summary>
        binary          = 1,
        bin             = 1,

        /// <summary>
        /// Dynamic source weaving
        /// </summary>
        source          = 2,
        src             = 2,
        s               = 2
    }
}
