///////////////////////////////////////////////////////////////////////
//  Copyright (C) 2004 Columbia University.  All Rights Reserved.
//
//      $Header: /Common/AssemblyHelper/ListTokenMappings.h 1     4/18/06 11:45p Eaddy $
//
//    File name:	ListTokenMappings.h
//   Created By:	Marc Eaddy
//   Created on:	04/18/06
//
//      Purpose:	
//
//  Description:	
//
///////////////////////////////////////////////////////////////////////
/**
 * $Log: /Common/AssemblyHelper/ListTokenMappings.h $
 * 
 * 1     4/18/06 11:45p Eaddy
 * o Initial checkin
 */

#ifndef INCLUDE_LIST_TOKEN_MAPPINGS
#define INCLUDE_LIST_TOKEN_MAPPINGS

#include <cor.h>			// mdToken

#include <list>             // STL list<>

// Type definitions

struct STokenMapping
{
    STokenMapping(mdToken _from, mdToken _to, bool _isNew, const WCHAR* _szWhat);

    mdToken from;
    mdToken to;
    bool isNew;
    WCHAR szWhat[1000];
};

typedef std::list<STokenMapping>	TypeListTokenMappings;

void MapToken(const TypeListTokenMappings& tokMappings, mdToken* pTok);

#endif // INCLUDE_LIST_TOKEN_MAPPINGS
