//-----------------------------------------------------------------------------
//
// Phoenix
// Copyright (C) Microsoft Corporation.  All Rights Reserved.
//
// $Header: /Wicca/Morpher/Phx.Aop/Pointcuts/CallPointcutExpression.cs 1     2/26/06 10:07p Eaddy $
//
// Description:
//
// Remarks:
//
//-----------------------------------------------------------------------------
/**
 * $Log: /Wicca/Morpher/Phx.Aop/Pointcuts/CallPointcutExpression.cs $
 * 
 * 1     2/26/06 10:07p Eaddy
 */

using System.Text.RegularExpressions;

using Dbg = System.Diagnostics.Debug;

using Phx.Aop.Joinpoints;

namespace Phx.Aop.Pointcuts
{
   /// <summary>
   /// call(* *.*(int))
   /// </summary>
   public class CallPointcutExpression : SignatureExpression, IPointcutDesignator
   {
      public CallPointcutExpression()
         : base(JoinpointType.CALL)
      { }

      static public void register()
      {
         PointcutFactory.registerPointcutDesignator(new CallPointcutExpression());
      }

      public override string Name { get { return "call"; } }

      public PointcutExpression create()
      {
         return new CallPointcutExpression();
      }
   }
}
