//-----------------------------------------------------------------------------
//
// Phoenix
// Copyright (C) Microsoft Corporation.  All Rights Reserved.
//
// $Header: /Wicca/Morpher/Phx.Morph/Attributes/IMorphAttribute.cs 4     5/24/06 8:56a Eaddy $
//
// Description:
//
//    Module and method morph attributes
//
// Remarks:
//
//-----------------------------------------------------------------------------
/**
 * $Log: /Wicca/Morpher/Phx.Morph/Attributes/IMorphAttribute.cs $
 * 
 * 4     5/24/06 8:56a Eaddy
 * o Changed file names but forgot to change class
 * names
 * 
 * 3     3/03/06 2:57p Asv2105
 * Refactored so all classes refer to base class of MethodWeaver rather
 * than MethodEditor, and create new instances through
 * MethodWeaverFactory.
 * 
 * 2     2/24/06 8:24p Eaddy
 * o Added checkin comment
 */

using System;

using Phx.Morph.Editors;

namespace Phx.Morph.Attributes
{
   public interface IModuleMorphAttribute : IExtensionAttribute
   {
      bool Morph(ModuleEditor moduleEditor);
   }

   public interface IMethodMorphAttribute : IExtensionAttribute
   {
      bool Morph(MethodEditor moduleEditor);
   }
}
