@REM Use 'set _echo=on' to echo all the commands
@if not "%_ECHO%"=="on" @if not "%_ECHO%"=="ON" @echo off

setlocal

REM *****
REM ***** Verify that Phx environment has been setup
REM ***** 

if "%RDKROOT%"=="" echo Must setup Phx environment first && exit /B 1

set MORPH_DIR=%~dp0..\..
set TARGET_DIR=%MORPH_DIR%\bin

REM *****
REM ***** Sets BUILD, BUILD_EXT, PHX_REF, MSIL_REF, X86_REF, MSIL_RT_REF, X86_RT_REF
REM ***** 

call "%MORPH_DIR%\scripts\SetBuildAndPhxRefs.bat"

set TARGET=IR-Longevity
set PROJECT_DIR=%MORPH_DIR%\examples\IR-Longevity-Morph-Version
set TEST_EXE=call "%PROJECT_DIR%\run_plugin.bat"
set InputAssembly="%TARGET_DIR%\phx%BUILD_EXT%.dll"
set OutputAssembly=

call "%MORPH_DIR%\scripts\dotest.bat" -noildasm %*
