public class Client
{
   static void Main()
   {
      Node root = new Node();

      BooleanExpression expr1 = new BooleanExpression();

      BooleanExpression expr2 = new BooleanExpression();

      Node statements = new Node();

      WhileLoopNode whileLoopNode = new WhileLoopNode(expr1, statements);

      IfThenNode ifThenNode = new IfThenNode(expr2, whileLoopNode);

      root.AddChild(ifThenNode);

      DumpNode(root, "");
      DumpNodeTheHardWay(root, "");
   }

   static void DumpNode(Node root, string indent)
   {
      if (root == null)
         return;

      System.Console.WriteLine(indent + root);

      foreach (Node child in root)
      {
         DumpNode(child, indent + "  ");
      }
   }

   static void DumpNodeTheHardWay(Node root, string indent)
   {
      if (root == null)
         return;

      System.Console.WriteLine(indent + root);

      System.Collections.IEnumerator iter = root.GetEnumerator();

      while(iter.MoveNext())
      {
         DumpNodeTheHardWay(iter.Current as Node, indent + "  ");
      }
   }
}
