public class NodeEnumerator : System.Collections.IEnumerator
{
   Node node;
   int index = -1;

   public NodeEnumerator(Node node)
   {
      this.node = node;
   }

   public object Current
   {
      get
      {
         return node.GetChild(index);
      }
   }

   public bool MoveNext()
   {
      return ++index < node.ChildCount;
   }

   public void Reset()
   {
      index = -1;
   }
}
