class Client
{
   public static void Main()
   {
      //Person joe = new Person("Joe");
      Person joe = PersistenceAspect.CreatePerson("Joe");

      // Initialize the salary to $25,000.

      // The random element is good for demos but not for testing
      //joe.Salary = 25000 + (new System.Random()).Next(10000);
      joe.Salary = 25000;

      // Make the person const. The isConst field
      // was added by the morpher so this code
      // won't compile if morpher hasn't been run.

      joe.IsConst = true;

      // Now try to set the salary to $1M using a
      // Property. You should see an error message.

      joe.Salary = 1000000;

      joe.IsConst = false;

      Person jane = new Person("Jane");

      // Setup the following dependency:
      //
      //   jane.Salary = joe.Salary * .9;
      //

      joe.Dependent = jane;
      joe.Which = 2;           // Salary
      joe.Operator = 2;        // Multiply
      joe.Factor = .9;

      // The random element is good for demos but not for testing
      //joe.Salary = 500000 + (new System.Random()).Next(10000);

      joe.Salary = 500000;
   }
}
