@REM Use 'set _echo=on' to echo all the commands
@if not "%_ECHO%"=="on" @if not "%_ECHO%"=="ON" @echo off

setlocal

REM *****
REM ***** Verify that Phx environment has been setup
REM ***** 

if "%RDKROOT%"=="" echo Must setup Phx environment first && exit /B 1

set MORPH_DIR=%~dp0..\..
set TARGET_DIR=%MORPH_DIR%\bin

set InputAssembly="%TARGET_DIR%\Phx.Morph.dll"
set OutputAssembly=
set ClassToExtend=
set FieldToAdd=
set Refs=/r:"%TARGET_DIR%\LogReflectionExt.dll"

REM Must specify -noverify since Phx.Morph.dll contains unsafe code

call "%MORPH_DIR%\scripts\morph.bat" -noverify %*
