@REM Use 'set _echo=on' to echo all the commands
@if not "%_ECHO%"=="on" @if not "%_ECHO%"=="ON" @echo off

REM
REM Verifies that a required environment variable has been set.
REM
REM Args:
REM
REM 	%1 - Name of the environment variable
REM 	%2 - Value of the environment variable
REM
REM Returns: 0 if variable is set, 1 otherwise
REM
REM Ex:
REM
REM	call requireenv.bat InputAssembly %InputAssembly%
REM	if not "%errorlevel%"=="0" exit /B 1
REM

setlocal
if not '%2'=='' exit /B 0
echo Error: Environment variable '%1' not specified. Exiting...
exit /B 1
