using Phx.Aop;
using Phx.Aop.Attributes;

public class MyAspect
{
   [Advice(AdviceType.before, "call([PrintWorldAttr] * *.*(..))")]
   [Advice(AdviceType.before, "call([StmtAttr] * *.*(..))")]
   public static void logMethodCall(
            [Annotation(0)] object annotation0,
            [SourceLocationAttribute.FilePath] string fileName,
            [SourceLocationAttribute.Line] uint line)
   {
      System.ConsoleColor fc = System.Console.ForegroundColor;
      System.Console.ForegroundColor = System.ConsoleColor.Green;

      System.Console.WriteLine("\t{0}. [{1},{2}]",
         annotation0, fileName, line);

      System.Console.ForegroundColor = fc;
   }
}
