@echo off

setlocal

if not exist tmp\nul mkdir tmp > nul

if not "%1"=="" (
	set WEAVE_TYPE=%1
) else (
	set WEAVE_TYPE=source
)

if "%WEAVE_TYPE%"=="source" (

	echo.
	echo === Cleaning tmp directory ===
	del tmp\HelloWorld.* > nul

	echo.
	echo === Building HelloWorld.exe and adding logging using %WEAVE_TYPE% weaving ===
	wcs /debug /nologo /target:exe /out:HelloWorld.exe /r:Attributes.dll /r:Phx.Aop.dll HelloWorld.cs LogNotesAspect.cs TraceAspect.cs Attributes.cs
	if not "%errorlevel%"=="0" exit /B 1

	echo.
	echo === Launch HelloWorld ===
	HelloWorld.exe

) else (

	echo.
	echo === Cleaning tmp directory ===
	del tmp\HelloWorld.* > nul
	del tmp\LogNotesAspect.* > nul
	del tmp\TraceAspect.* > nul
	del tmp\Attributes.* > nul

	echo.
	echo === Building Attributes.dll ===
	csc /debug /nologo /target:library /out:Attributes.dll Attributes.cs
	csc /debug /nologo /target:library /out:tmp\Attributes.dll Attributes.cs
	if not "%errorlevel%"=="0" exit /B 1

	echo.
	echo === Building LogNotesAspect.dll ===
	csc /debug /nologo /target:library /out:LogNotesAspect.dll /r:Attributes.dll /r:Phx.Aop.dll LogNotesAspect.cs
	csc /debug /nologo /target:library /out:tmp\LogNotesAspect.dll /r:Attributes.dll /r:Phx.Aop.dll LogNotesAspect.cs
	if not "%errorlevel%"=="0" exit /B 1

	echo.
	echo === Building TraceAspect.dll ===
	csc /debug /nologo /target:library /out:TraceAspect.dll /r:Attributes.dll /r:Phx.Aop.dll TraceAspect.cs
	csc /debug /nologo /target:library /out:tmp\TraceAspect.dll /r:Attributes.dll /r:Phx.Aop.dll TraceAspect.cs
	if not "%errorlevel%"=="0" exit /B 1

	echo.
	echo === Building HelloWorld.exe ===
	csc /debug /nologo /target:exe /out:HelloWorld.exe /r:Attributes.dll /r:LogNotesAspect.dll /r:TraceAspect.dll /r:Phx.Aop.dll HelloWorld.cs
	if not "%errorlevel%"=="0" exit /B 1

	echo.
	echo === Launch HelloWorld and add logging at runtime using %WEAVE_TYPE% weaving ===

	mdbg -verbosity 0 -nologo !load wicca !wtype %WEAVE_TYPE% !wrun HelloWorld.exe !weave LogNotesAspect.dll !weave TraceAspect.dll !wgo !quit
)
