@REM Use 'set _echo=on' to echo all the commands
@if not "%_ECHO%"=="on" @if not "%_ECHO%"=="ON" @echo off

setlocal

set MORPH_DIR=%~dp0..\..\Morpher
set PROJECT_DIR=%~dp0
set TARGET_DIR=%PROJECT_DIR%..\..\bin

REM --------------------------------------------------
REM Build Attributes.dll
REM --------------------------------------------------

set SRCS=NoteAttribute.cs LogAttribute.cs TraceAttribute.cs
set TARGET="%TARGET_DIR%\Attributes.dll"
set TARGET_FLAGS=/target:library /out:%TARGET% 
set REFS=

call "%MORPH_DIR%\scripts\build-csharp.bat" %*
if not "%errorlevel%"=="0" exit /b 1

REM --------------------------------------------------
REM Build LogAspect.dll
REM --------------------------------------------------

set SRCS=LogAspect.cs
set TARGET="%TARGET_DIR%\LogAspect.dll"
set TARGET_FLAGS=/target:library /out:%TARGET% 
set REFS="%MORPH_DIR%\bin\Phx.Aop.dll" "%TARGET_DIR%\Attributes.dll"

call "%MORPH_DIR%\scripts\build-csharp.bat" %*
if not "%errorlevel%"=="0" exit /b 1

REM --------------------------------------------------
REM Build LogReflectionAspect.dll
REM --------------------------------------------------

set SRCS=LogReflectionAspect.cs
set TARGET="%TARGET_DIR%\LogReflectionAspect.dll"
set TARGET_FLAGS=/target:library /out:%TARGET% 
set REFS="%MORPH_DIR%\bin\Phx.Aop.dll"

call "%MORPH_DIR%\scripts\build-csharp.bat" %*
if not "%errorlevel%"=="0" exit /b 1

REM --------------------------------------------------
REM Build TraceAspect.dll
REM --------------------------------------------------

set SRCS=TraceAspect.cs
set TARGET="%TARGET_DIR%\TraceAspect.dll"
set TARGET_FLAGS=/target:library /out:%TARGET% 
set REFS="%MORPH_DIR%\bin\Phx.Aop.dll" "%TARGET_DIR%\Attributes.dll"

call "%MORPH_DIR%\scripts\build-csharp.bat" %*
if not "%errorlevel%"=="0" exit /b 1

REM --------------------------------------------------
REM Build ColorOutputAspect.dll
REM --------------------------------------------------

set SRCS=ColorOutputAspect.cs
set TARGET="%TARGET_DIR%\ColorOutputAspect.dll"
set TARGET_FLAGS=/target:library /out:%TARGET% 
set REFS="%MORPH_DIR%\bin\Phx.Aop.dll"

call "%MORPH_DIR%\scripts\build-csharp.bat" %*
if not "%errorlevel%"=="0" exit /b 1
