@setlocal

@set MDBG_DIR=..\..\..\..\bin
@set SAVE=%CD%

@REM ****************************************************************
@REM
@REM Build the original program: HelloWorld.exe (displays "Hello, World")
@REM
@REM ****************************************************************

csc /nologo /debug /target:exe /out:HelloWorld.exe HelloWorld.cs

@REM ****************************************************************
@REM
@REM Build the new program: HelloWorld2.exe (displays "Hello, new World")
@REM
@REM ****************************************************************

csc /nologo /debug /target:exe /out:HelloWorld2.exe HelloWorld2.cs

@REM ****************************************************************
@REM Use mdbg to 
@REM    1. Load the Wicca extension     (!load wicca)
@REM 	2. Start the original program   (!wrun HelloWorld.exe)
@REM	3. Patch using the new program  (!patch HelloWorld2.exe)
@REM	4. Run the updated program      (!go)
@REM
@REM ****************************************************************
@REM Note: Must execute this from the bin dir or MorphPlugin.dll 
@REM won't be found
@REM ****************************************************************

@pushd %MDBG_DIR% 
mdbg !load wicca !wrun %SAVE%\HelloWorld.exe !wgo !patch %SAVE%\HelloWorld2.exe !wgo !quit
@popd

@REM ****************************************************************
@REM
@REM    If it works, you'll see         -> "Hello, new World"
@REM    If it doesn't work, you'll see  -> "Hello, World"
@REM    (Hint: It currently doesn't work!)
@REM
@REM ****************************************************************
