//-----------------------------------------------------------------------------
//
// Phoenix
// Copyright (C) Microsoft Corporation.  All Rights Reserved.
//
// $Header: /Wicca/wicca/AdviceClosure.cs 6     5/23/06 9:00p Eaddy $
//
// Description:
//
// Remarks:
//
//-----------------------------------------------------------------------------
/**
 * $Log: /Wicca/wicca/AdviceClosure.cs $
 * 
 * 6     5/23/06 9:00p Eaddy
 * o More cleanup
 * 
 * 5     5/23/06 7:48p Eaddy
 * o More cleanup
 */

using System;
using System.Reflection;

using Phx.Aop.Joinpoints;

namespace Wicca 
{
	public class AdviceClosure 
    {
		public MethodInfo adviceMethodToCall;
        public DebugJoinpoint jp;

		public AdviceClosure(IJoinpoint jp, MethodInfo adviceMethodToCall) 
        {
            this.jp = new DebugJoinpoint(jp);
			this.adviceMethodToCall = adviceMethodToCall;
		}

		public override bool Equals(object obj) 
        {
			AdviceClosure lhs = obj as AdviceClosure;
			if (lhs == null) 
            {
				return false;
			}

			return adviceMethodToCall.Equals(lhs.adviceMethodToCall);
		}

		public override int GetHashCode()
        {
			return adviceMethodToCall.GetHashCode();
		}
	}
}
